package data.shipsystems.scripts;

import com.fs.starfarer.api.combat.MutableShipStatsAPI;
import com.fs.starfarer.api.plugins.ShipSystemStatsScript;

public class ChargedShieldStats implements ShipSystemStatsScript {

	public void apply(MutableShipStatsAPI stats, String id, State state, float effectLevel) {
	
		stats.getShieldDamageTakenMult().modifyMult(id, 0.90f * effectLevel);
		stats.getShieldArcBonus().modifyMult(id, .9f * effectLevel);
		stats.getMaxSpeed().modifyMult(id, 0.33f * effectLevel);
		stats.getAcceleration().modifyMult(id, 0.33f * effectLevel);
		stats.getDeceleration().modifyMult(id, 0.33f * effectLevel);	
		stats.getTurnAcceleration().modifyMult(id, 0.33f* effectLevel);
		stats.getMaxTurnRate().modifyMult(id, 0.33f* effectLevel);
	}
	public void unapply(MutableShipStatsAPI stats, String id) {
		
		stats.getShieldDamageTakenMult().unmodify(id);
		//stats.getShieldArcBonus().unmodify(id);
		stats.getMaxSpeed().unmodify(id);
		stats.getAcceleration().unmodify(id);
		stats.getDeceleration().unmodify(id);
		stats.getTurnAcceleration().unmodify(id);
		stats.getMaxTurnRate().unmodify(id);
		
	}
	
	public StatusData getStatusData(int index, State state, float effectLevel) {
		if (index == 0) {
			return new StatusData("shield strength "+(int)(100.0+20.0*effectLevel)+"%", false);
		} else if (index == 1) {
			return new StatusData("speed and maneuverability 33%", true);
		}
		return null;
	}
}
